<?php
date_default_timezone_set('America/Costa_Rica');

include('../conexion.php'); 
$parametrosGenerales = "SELECT * FROM wc_parametros_fe WHERE id = 1";
$resultadoParametrosGenerales= $mysqli->query($parametrosGenerales);
$parametros = $resultadoParametrosGenerales->fetch_array();


 $fecha_actual=  date('Y-m-d') ;
 $fecha_actualizacion =  $parametros['fec_actualizacion'];
// if ($fecha_actual >= $fecha_actualizacion ){   /////////////////////////////// version 4.3 //////////////////////////////////////////


session_start();


 $usu=$_SESSION['username'];

		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
	

  	 

//$conexion = @fsockopen("api.comprobanteselectronicos.go.cr", 80, $errno, $errstr, 30); 
//if (!$conexion) { 

//$enlinea=0 ;
//} else { 

$enlinea=1 ;
//}
		
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];

 $cdgcaj = $row["codusu"];


 
$hoy=date("d/m/Y");
$hora=date("H:i:s");
$fechac=date("Y-m-dTH:i:sP");

		
 $accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$codfacturatmp=$_POST["codfacturatmp"];
if (!isset($_POST["codfacturatra"])) { $codfacturatra=""; } else  {  $codfacturatra=$_POST["codfacturatra"]; }

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
if (!isset($_POST["cedcli"])) { $cedcli=""; } else  { $cedcli=$_POST["cedcli"]; }
if (!isset($_POST["numfactura"])) { $numfactura=""; } else  { $numfactura=$_POST["numfactura"]; }
if (!isset($_POST["descuento"])) { $descuento=""; } else  { $descuento=$_POST["descuento"]; }
if (!isset($_POST["codfacturacontado"])) { $codfacturacontado=""; } else  {  $codfacturacontado=$_POST["codfacturacontado"]; }
if (!isset($_POST["codfacturacontado"])) { $codfacturacontado2=""; } else  {  $codfacturacontado2=$_POST["codfacturacontado"]; }
if (!isset($_POST["combotipoventa"])) { $cdgtipven="1";  } else  {  $cdgtipven=$_POST["combotipoventa"];  }

if (!isset($_POST["cdgtipexo"])) { $cdgtipexo=""; } else  {  $cdgtipexo=$_POST["cdgtipexo"]; }
if (!isset($_POST["numdocexo"])) { $numdocexo=""; } else  {  $numdocexo=$_POST["numdocexo"]; }
if (!isset($_POST["nominstexo"])) { $nominstexo=""; } else  {  $nominstexo=$_POST["nominstexo"]; }
if (!isset($_POST["porimpexo"]))  { $porimpexo="";  } else  {  $porimpexo=$_POST["porimpexo"]; }



$hora = date("H:i:s");
$fecha=date("Y-m-d");
$fechac = date("Y-m-d\TH:i:sP");


$cob_iv=$_POST["cob_iv"];
$cliexento=$_POST["cliexento"];

$obsped=$_POST["obsped2"];
$saldo_anterior=$_POST["salact"];
$cdgven=$_POST["cdgven"];

$minimo=0;
$subtotalfactura=$_POST["baseimponible"];
$subtotalfactura = str_replace  (",","",$subtotalfactura);

$total2=$_POST["total2"];
$total2 = str_replace  (",","",$total2);

$efectivo=$_POST["efectivo2"];
if ($efectivo  > 0) { $medpago="01";  }
$efectivo = str_replace  (",","",$efectivo);
$efectivo = str_replace  ("₡","",$efectivo);


$dolares=$_POST["dolares2"];
if ($dolares > 0) { $medpago="01";  }
$dolares = str_replace  (",","",$dolares);
$dolares = str_replace  ("$","",$dolares);
 

$tarjetas=$_POST["tarjetas2"];
if ($tarjetas  > 0) { $medpago="02";  }
$tarjetas = str_replace  (",","",$tarjetas);
$tarjetas = str_replace  ("₡","",$tarjetas);

$cheques=$_POST["cheques2"];
if ($cheques  > 0) { $medpago="03";  }
$cheques = str_replace  (",","",$cheques);
$cheques = str_replace  ("₡","",$cheques);

$depositos=$_POST["depositos2"];
if ($depositos  > 0) { $medpago="04";  }
$depositos = str_replace  (",","",$depositos);
$depositos = str_replace  ("₡","",$depositos);


$pagacon2=$_POST["pagacon2"]; 
$pagacon = str_replace  (",","",$pagacon2);


$consulta1 = "SELECT * FROM web_0000 ";
$resultado1 = $mysqli->query($consulta1);
$fila = $resultado1->fetch_array();

$numfactura = $fila["numfaccon"];


   ///////////////////////////////////////  recibe tabla de parametros //////////////////////////////////////////////////
   
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $casmat =  $row_para["CASMAT"];
	   $cdgter =  $row_para["CDGTER"];
	   $cedemp =  $row_para["CEDJUR"];
	   $tipcedemp =  $row_para["TIPCEDEMP"];
	   $impdir =  $row_para["impdir"];
	  
	    if ( $tipcedemp=="01")  {    // define la cedula de la clave 
	  
	    $cedemp =  "000".$cedemp;      //   
 
 		} else {
		
       $cedemp =  "00".$cedemp; 
 	
		}
      
	  
	      if ( $tipcedemp=="03")  {    // define la tipo DIMEX
	  
		    $cedemp =  $row_para["CEDJUR"];     //   
 
 
 	
		}
	  
	   $cdgpais =  $row_para["CDGPAISEMP"];
	   $tipcamdol =  $row_para["tipcamdol"];
	   $tipmoneda =  $row_para["tipmoneda"];
	   $tipo_emisor =  $row_para["tipcomprobante"];
	   $cdgseghac =  $row_para["cdgseghac"];
	   	   	  
	$consulta_trib = "SELECT clitributa FROM web_0301 WHERE cdgcli='$cdgcli'";    // se agrega en la version 4.3
       $resultado_trib = $mysqli->query($consulta_trib);
       $row_trib = $resultado_trib->fetch_array();
       $clitributa = $row_trib["clitributa"];
	
	
	 if (  $clitributa == "1")  {    // define el consecutivo   	                // se modifica en la version 4.3
	   
	    $numfactura       =  $row_para["numfaccre"];
	    $tipo_comprobante = "01";   // define el nuevo comprobante como factura
		
 	} else {	
	    $numfactura       =  $row_para["numfaccon"];
	    $tipo_comprobante = "04";   // define el nuevo comprobante como tiquete       // se modifica en la version 4.3
    }

	   $tarimpvta =  $row_para["tarimp"];
	    $numfactura  =  $numfactura + 1;
	   $numfactura = sprintf("%010d", $numfactura); 
	   $conventa = sprintf("%02d", $cdgtipven);    
	   $feccla= date("dmy");
	   
	 
	   if ($enlinea==1)  {    // DEFINE SI EL COMPROBANTE ESTA EN CONTINGENCIA 
	  
	   $situacion_comprobante = 1;     //   
 
 		} else {
       $situacion_comprobante = 3; 
 	
		}
	   $numcomp =  $casmat.$cdgter.$tipo_comprobante.$numfactura ;
	   $cdgclave =  $cdgpais.$feccla.$cedemp. $numcomp.$situacion_comprobante.$cdgseghac;
	  
	    

///////////////////////////   REVISA SI TIENE O NO DETALLE DE LIENAS PARA EMPEZAR A GUARDAR //////////////////////////////

if ($result = $mysqli->query(" SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' " )) {
   $lineas_detalle = $result->num_rows;
   $result->close();
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if  ( $lineas_detalle > 0 )   {
	
	
		//************************************************ Seleción del plazo del cliente *********************************
		
if ($accion=="alta") {
 if ($cdgtipven == 2) {
	 
       $consulta = "SELECT CDGPLA,SALACT,CEDTIP,CEDCLI  , fecemiexo,  tarexoagro , cdgtar FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
        $cedcli = $row["CEDCLI"];
		$cedtip = $row["CEDTIP"];
		$saldo_actual = $row["SALACT"];
	    $pladia = $row["CDGPLA"];
		$medpago = "04"  ;
		$fecemiexo = $row["fecemiexo"];
	    $tarexoagro= $row["tarexoagro"];  ////   version exoneracion agropecuaria
		$cdgtar_cliente    = $row["cdgtar"];  	////  version tarifa distinta al 13   //////////////////////////////////

        // calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;
		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );

		
   } else {
   
	   $cdgtipven = 1;
	   $pladia = "0";
	   
	   $consulta = "SELECT CDGPLA,SALACT,CEDTIP,CEDCLI , fecemiexo  , tarexoagro , cdgtar FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $cedcli = $row["CEDCLI"];
	   $cedtip = $row["CEDTIP"];
	   $fecemiexo = $row["fecemiexo"];
       $tarexoagro= $row["tarexoagro"];  ////   version exoneracion agropecuaria
	   $cdgtar_cliente    = $row["cdgtar"];  	////  version tarifa distinta al 13   //////////////////////////////////

    }
	
	/////////////////////////////////////////////////// crea fecha de exoneracion  si no existe ///////////////////////////////////////////////
	
	if ($fecemiexo == ""){
	
	$fecemiexo = $fechac;
	 
	 }


 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////


	    $mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;    
		$totmerexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totmerexe=0;
		$totsergra=0;
		$totserexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;
		
		if ($cdgtipven==2){

	
$query_operacion="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento, cdgcaj, tipcamdol, horfac , obsfac, numcomp, cdgclave, fechac, cedcli, cedtip,  medpago, tipmoneda, conventa, cdgtipexo, numdocexo , nominstexo, fecemiexo ) VALUES ('', '$numcomp', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','$fecven','$cdgven','$tipcamdol','$hora' ,'$obsped' ,  '$numcomp' ,  '$cdgclave', '$fechac' , '$cedcli' , '$cedtip' , '$medpago', '$tipmoneda' , '$conventa' , '$cdgtipexo' , '$numdocexo' , '$nominstexo' , '$fecemiexo' )";				
	$mysqli->query($query_operacion);
	$codfactura= $mysqli-> insert_id ;


	//////////////////////////////////////////////  LLEVA EL CONTEO DE LOS COMPROBANTES SEGUN EMISOR  /////////////////////////////////////////////////////
		
	 if ( $clitributa == "1"  )  {	 // si el tipo de comprobante es tiquete                // se modifica en la version 4.3
    
		$sel_articulos_contado="UPDATE web_0000 SET numfaccre='$numfactura' "; //// se suma el consecutivo a contado numfaccre
		$mysqli->query($sel_articulos_contado);

 	} else {	
	
		$sel_articulos_contado="UPDATE web_0000 SET numfaccon='$numfactura' "; //// se suma el consecutivo a contado numfaccon
		$mysqli->query($sel_articulos_contado);
	
    }                                                                                        // se modifica en la version 4.3

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
	$query_tmp = "SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
    if ($resultado2 = $mysqli->query($query_tmp)) 
	
    while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numlinea = $fila2["numlinea"];
        $codigo = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];	
	    $importe = $fila2["importe"];
	    $impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$dcto= $fila2["dcto"];
		$chkexo= $fila2["chkexo"];  
		

		
		                    //  EXONERACION PARCIAL 
        $subtotal=$importe-$mondes;
		$montotlin=$importe-$mondes+$impuesto;	

	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////	

        $subtotal   = round($subtotal,2);
		$montotlin  = round($montotlin,2);	
		$importe    = round($importe,2);
		$mondes     = round($mondes,2);

		$cantidad = round ($fila2["cantidad"],3);
		$preivi = $importe / $cantidad ;
	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////	
	
		if ($impuesto==0){

		
		$subexe=$subexe+$importe;
	    $preivi2=$preivi;
		//$cdgimp="";    ** COMENTAR
		
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$preivi;
		// $cdgimp="01"; ** COMENTAR
		 }
		 
	
		$baseimponible=$baseimponible+$importe;    
		$baseimpuestos=$baseimpuestos+$impuesto;    
		$basedescuento=$basedescuento+$mondes;
	
	
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal=round($preciototal);
		 


		$query_costos = "SELECT cosart,COB_IV,CDGFAM,CDGLIN,DESFAC,CDGTIPART,ivporc ,UNIMED, CDGTIPPRO , cdgtar , tipcanbas, cdghac,cdgact  FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado = $mysqli->query($query_costos);
		$row = $resultado->fetch_array();
	     $cosart = $row["cosart"];
		 $desart = $row["DESFAC"];
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		 $cdgtipart= $row["CDGTIPART"];
		 $unimed= $row["UNIMED"];
		 $ivporc= $row["ivporc"];
		 $cdgtippro= $row["CDGTIPPRO"];
 		 $cdgtar= $row["cdgtar"];                   // se agrega en la version  4.3 
		 $tipcanbas = $row["tipcanbas"];          ////   version exoneracion agropecuaria
		 $cdgcabys = $row["cdghac"];
		 $cdgact = $row["cdgact"];
		 
		 
		 
	
		if ( $mondes > 0){    // estable la naturaleza del descuento  por linea si lo tiene
		$natdes=$_POST["natdes"];
		} else { 
		$natdes=  "";
		} 
		

	if (  $cob_iv == 1 ){    // estable la tarifa del impuesto por linea si lo tiene  //
 		$tarimp = $ivporc;
		$cdgimp = "01";
		} else { 
		$tarimp = "";            // se realizan cambios en la version 4.3
		$cdgimp = "";    
		
		} 
		
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 
		if  ( $tarexoagro > 0 &&   $tipcanbas == 1 ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica 
		
		 $consulta = "SELECT * FROM hac_tipo_tarifa WHERE iv_porc = '$tarexoagro'";
         $resultado = $mysqli->query($consulta);
         $fila = $resultado->fetch_array();
		 
         $cdgtar= $fila["cdgtar"];
		 $cdgimp= $fila["cdgimp"];
		 $tarimp =  $tarexoagro;

	
		}
				
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 
		 
		 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		$consulta_tarifa = "SELECT * FROM hac_tipo_tarifa WHERE cdgtar='$cdgtar_cliente'";
		$resultado_tarifa = $mysqli->query($consulta_tarifa);
		$row_tarifa = $resultado_tarifa->fetch_array();
		$ivporc_tarifa= $row_tarifa["iv_porc"] ; 
		$cdgimp_cliente= $row_tarifa["cdgimp"] ;  
	
		if ( $ivporc >  $ivporc_tarifa){ 
		
     
	     $cdgtar = $cdgtar_cliente;
		 $cdgimp = $cdgimp_cliente;
		 $tarimp =  $ivporc_tarifa;
	
		}
				
				
		 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		
		 
		if ( $cob_iv == 1){     //  si el produto es gravado
		if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo 
	
		$mergra=$importe;  
	     $totmergra= $totmergra+$mergra; 
		
		} else {     // si es un servicio
		
		$sergra=$importe; 
	    $totsergra= $totsergra+$sergra; 
	
		
		}    // cierra tipo de produto 
	
		} else {    // si el producto es exento
		
		if  ($cdgtippro == 1 ) {   // si el producto es tipo servicio 
		
     	$merexe=$importe;  
        $totmerexe= $totmerexe+$merexe; 
		
		} else {     // si es un servicio
		
		$serexe=$importe; 
	    $totserexe= $totserexe+$serexe; 
		
		}    // cierra tipo de produto tipo articulo
		} 
	  
	 

		$des_articulo= ( $cosart * $desart)/100;
		$cosart= $cosart - $des_articulo;
		
			  	///////////////////////////////////////////////////     EXONERACIONES       ////////////////////////////////////////////
		
	if ($cliexento==2  && $cob_iv==1   &&  $chkexo ==  0  ){  //  compra es tipo exonerada y  producto es gravado  //  EXONERACION PARCIAL		

   

     $ivporc_exonerado = $ivporc - $porimpexo ;    // calcula diferencia de impuestos 

     if ( $ivporc_exonerado > 0  ){           // si el impuesto del producto es mayor a la exoneracion de cliente  /////


    //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$porimpexo/100;       // impuesto exonerado en monto 
	$moncondesexo = $importe*$porimpexo/100;       // impuesto exonerado en monto
	$porcomexo= $porimpexo;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3


	  	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
			
		$merexo = ( $moncondesexo / $ivporc )* 100  ;   //148 
	    $totmerexo= $totmerexo+$merexo; 	
		$totmergra= $totmergra-$merexo; 
		
		} else {     // si es un servicio
		

	
		$serexo = ( $moncondesexo / $ivporc )* 100 ;   //148 
		
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  


  } else {           // si el impuesto del producto es menor a  la exoneracion  del cliente ///////////
  
  
      //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$ivporc/100;       // impuesto exonerado en monto 
	$porcomexo= $ivporc;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3

	  	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
	
		$merexo=$importe;  
	    $totmerexo= $totmerexo+$merexo; 
		$totmergra= $totmergra-$merexo; 
		} else {     // si es un servicio
		
		$serexo=$importe; 
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  
		
	  
}

	  }else {
 
     	    $monimpexo="";
	        $porcomexo= "";
			$cdgtipexo="";
			$numdocexo="";
			$nominstexo="";
	  
	  }


		///////////////////////////////////////////////////     EXONERACIONES      ///////////////////////////////////////////////////
		
	
		

  																					  //   agregar cdgtar en el insert version 4.3
	
		$sel_insertar="INSERT INTO factulinea (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,cdgtipart,unimed , cdgimp, tarimp, subtotal, montotlin , natdes , monimpexo, porcomexo, cdgtipexo, numdocexo, nominstexo , cdgtar , fecemiexo , cdgcabys, cdgact) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi2','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin','$cdgtipart','$unimed' ,'$cdgimp' ,'$tarimp' ,'$subtotal'  ,'$montotlin' ,'$natdes' ,'$monimpexo' ,'$porcomexo'  ,'$cdgtipexo'  ,'$numdocexo'  ,'$nominstexo' ,'$cdgtar' , '$fecemiexo' , '$cdgcabys', '$cdgact' )";
	$mysqli->query($sel_insertar);	


	}
	 
	  $totexonerado = $totserexo + $totmerexo; 
	  $totexento    = $totserexe + $totmerexe; 
	  $totgravado   = $totsergra + $totmergra;
	  $totventa     = $totgravado + $totexento + $totexonerado;    
	  $totdescu     = $basedescuento ;
	  $totvennet    = $totventa  -  $totdescu;
	  $totcompro    = $totvennet + $baseimpuestos ;
	  
	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////		  
	  
	  $totexonerado = round(  $totexonerado ,2); 
	  $totexento    = round(  $totexento,2); 
	  $totgravado   = round(  $totgravado,2); 
	  $totventa     = round(  $totventa,2);   
	  $totdescu     = round(  $totdescu ,2); 
	  $totvennet    = round(  $totvennet,2); 
	  $totcompro    = round(  $totcompro ,2); 
	  
	
	  $totmergra    = round(  $totmergra  ,2); 
	  $totsergra    = round(  $totsergra  ,2); 
	  $totmerexe    = round(  $totmerexe  ,2); 
	  $totserexe    = round(  $totserexe  ,2); 
	  $totserexo    = round(  $totserexo ,2); 
      $totmerexo    = round(  $totmerexo ,2); 
	  
	  ///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////		
	  
	  
	  if ( $totgravado > 0 ){    // si el articulo es tipo gravado 
	  $cdgimp="01" ; //   tipo impuesto de ventas
	  $tarimp=$tarimpvta;
	  $monimp=$baseimpuestos;
	  
	  }else {
	  
	  $cdgimp="01";  //   tipo impuesto de ventas   // cambio de valores en la version 4.3 
	  $tarimp="0";
	  $monimp="0";
	  
	  }
	  
	  

	 
	 $consulta2 = "DELETE FROM factulineatmp  WHERE codfactura ='$codfacturatmp'";
	$mysqli->query($consulta2);	
	

	//************************************************ Insert 2101 CxC y 0301 saldo actual*******************************
			

		$query_operacion1="INSERT INTO web_2101 (numfac, fecfac, cdgcli, dsccli, pladia, monsub, mondes, impvta, totnet, cdgven, salact , fecven ) VALUES ('$numcomp', '$fecha', '$cdgcli', '$dsccli','$pladia','$baseimponible','$basedescuento','$baseimpuestos','$preciototal','$cdgven','$preciototal',  '$fecven' )";
		$mysqli->query($query_operacion1);
	
	
	$consulta = "SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["totalfac"];

	$sel_actual_saldo="UPDATE web_0301 SET salact='$salact' WHERE cdgcli = $cdgcli";
	$mysqli->query($sel_actual_saldo);

	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);

	$sel_act="UPDATE facturas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' , totmergra='$totmergra', totmerexe='$totmerexe', totsergra='$totsergra', totserexe='$totserexe'
, totgravado='$totgravado' , totexento='$totexento' , totventa='$totventa' , totdescu='$totdescu' , totvennet='$totvennet'  , cdgimp='$cdgimp', tarimp='$tarimp', monimp='$monimp' ,  totcompro='$totcompro' , totserexo='$totserexo'  , totmerexo='$totmerexo' ,totexonerado='$totexonerado' ,porimpexo='$porimpexo'   WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	

	
////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////


	$sel_lineas = "SELECT codigo,cantidad FROM factulinea WHERE codfactura='$codfactura'";
    if ($result = $mysqli->query($sel_lineas)) 
	
    while ($fila = $result->fetch_assoc()) {
		
        $codigo = $fila["codigo"];
		$cantidad = $fila["cantidad"];                                             // se modifico en la version 4.3  

		$query_unidades = "SELECT EXIACT FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado2 = $mysqli->query($query_unidades);
		$row = $resultado2->fetch_array();
	    $existencia= $row["EXIACT"];
		
		$exiact = $existencia -  $cantidad;                                               // se modifico en la version 4.3  

  
		$sel_articulos="UPDATE web_1001 SET   exiact= '$exiact' WHERE cdgbar='$codigo' and tipart != 2 ";
		$mysqli->query($sel_articulos);
	
	
		$sel_articulos2="UPDATE factulinea SET exiant = '$existencia'  WHERE codigo='$codigo' and  codfactura='$codfactura'  ";
		$mysqli->query($sel_articulos2);

                                                                                         // se modifico en la version 4.3  

	}
      
/////////////////////////////////////////insert de la factura de contado ///////////////////////////////////////////////
		}else {
	
	    $mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;    
		$totmerexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totmerexe=0;
		$totsergra=0;
		$totserexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;
	
		$query_operacion="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento,cdgcaj,pagacon,efectivo,cheques,depositos,dolares,tarjetas,tipcamdol, horfac, obsfac , numcomp, cdgclave, fechac, cedcli, cedtip,  medpago, tipmoneda , conventa , cdgtipexo, numdocexo , nominstexo  , fecemiexo) VALUES ('', '$numcomp', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','0000-00-00','$cdgcaj','$pagacon2','$efectivo','$cheques','$depositos',    '$dolares','$tarjetas','$tipcamdol','$hora' ,'$obsped',  '$numcomp' ,  '$cdgclave', '$fechac' , '$cedcli' , '$cedtip' , '$medpago' , '$tipmoneda'  , '$conventa' , '$cdgtipexo' , '$numdocexo' , '$nominstexo' , '$fecemiexo'	)";				
	$mysqli->query($query_operacion);
	$codfactura= $mysqli-> insert_id ;

	//////////////////////////////////////////////  LLEVA EL CONTEO DE LOS COMPROBANTES SEGUN EMISOR  /////////////////////////////////////////////////////
		
		
	 if ( $clitributa == "1"  )  {	 // si el tipo de comprobante es tiquete                // se modifica en la version 4.3
    
		$sel_articulos_contado="UPDATE web_0000 SET numfaccre='$numfactura' "; //// se suma el consecutivo a contado numfaccre
		$mysqli->query($sel_articulos_contado);

 	} else {	
	
		$sel_articulos_contado="UPDATE web_0000 SET numfaccon='$numfactura' "; //// se suma el consecutivo a contado numfaccon
		$mysqli->query($sel_articulos_contado);
	
    }  



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
    $query_tmp = "SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
    if ($resultado2 = $mysqli->query($query_tmp)) 
	
    while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numlinea = $fila2["numlinea"];
        $codigo = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad =$fila2["cantidad"];
		$preivi = $fila2["preivi"];
		$importe = $fila2["importe"];
		$impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$dcto= $fila2["dcto"];
		$chkexo= $fila2["chkexo"];                      //  EXONERACION PARCIAL 
		
		


		$subtotal=$importe-$mondes;
		$montotlin=$importe-$mondes+$impuesto;		

	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////	

        $subtotal   = round($subtotal,2);
		$montotlin  = round($montotlin,2);	
		$importe    = round($importe,2);	
		$mondes     = round($mondes,2);
		
		$cantidad = round ($fila2["cantidad"],3);
		$preivi = $importe / $cantidad ;

	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////	

		 		if ($impuesto==0){

		
		$subexe=$subexe+$importe;
	    $preivi2=$preivi;
		//$cdgimp="";    ** COMENTAR
		
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$preivi;
		// $cdgimp="01"; ** COMENTAR
		 }
	
	
		$baseimponible=$baseimponible+$importe;    
		$baseimpuestos=$baseimpuestos+$impuesto;    
		$basedescuento=$basedescuento+$mondes;

		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal=round($preciototal);
		 
		 
		 
		$query_costos = "SELECT cosart,COB_IV,CDGFAM,CDGLIN,DESFAC,CDGTIPART, UNIMED, ivporc, CDGTIPPRO  , cdgtar, tipcanbas , cdghac, cdgact FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado = $mysqli->query($query_costos);
		$row = $resultado->fetch_array();
	     $cosart = $row["cosart"];
		 $desart = $row["DESFAC"];
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		 $cdgtipart= $row["CDGTIPART"];
		 $unimed= $row["UNIMED"];
		 $ivporc= $row["ivporc"];
		 $cdgtippro= $row["CDGTIPPRO"];
		 $cdgtar= $row["cdgtar"];                   // se agrega en la version  4.3 
		 $tipcanbas = $row["tipcanbas"];          ////   version exoneracion agropecuaria
		 $cdgcabys = $row["cdghac"];
		 $cdgact = $row["cdgact"];
				
		if ( $mondes > 0){    // estable la naturaleza del descuento  por linea si lo tiene
	    $natdes=$_POST["natdes"];
		} else { 
		$natdes=  "";
		} 
		


		
		if (  $cob_iv == 1 ){    // estable la tarifa del impuesto por linea si lo tiene  //
 		$tarimp = $ivporc;
		$cdgimp = "01";
		} else { 
		$tarimp = "";            // se realizan cambios en la version 4.3
		$cdgimp = "";    
		
		} 
		
	 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 
		if  ( $tarexoagro > 0 &&   $tipcanbas == 1 ){  // si el cliente es agro y ademas el producto pertenece a la canasta basica 
		
		 $consulta = "SELECT * FROM hac_tipo_tarifa WHERE iv_porc = '$tarexoagro'";
         $resultado = $mysqli->query($consulta);
         $fila = $resultado->fetch_array();
		 
         $cdgtar= $fila["cdgtar"];
		 $cdgimp= $fila["cdgimp"];
		 $tarimp =  $tarexoagro;

	
		}
				
		 /////////////////////////////////////////////////////   version exoneracion agropecuaria  //////////////////////////////////
		 
		 
		 		 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		$consulta_tarifa = "SELECT * FROM hac_tipo_tarifa WHERE cdgtar='$cdgtar_cliente'";
		$resultado_tarifa = $mysqli->query($consulta_tarifa);
		$row_tarifa = $resultado_tarifa->fetch_array();
		$ivporc_tarifa= $row_tarifa["iv_porc"] ; 
		$cdgimp_cliente= $row_tarifa["cdgimp"] ;  
	
		if ( $ivporc >  $ivporc_tarifa){ 
		
     
	     $cdgtar = $cdgtar_cliente;
		 $cdgimp = $cdgimp_cliente;
		 $tarimp =  $ivporc_tarifa;
	
		}
				
				
		 /////////////////////////////////////////////////////   version tarifa distinta al 13   //////////////////////////////////
		 
		
	
	 
		if ($cob_iv == 1 ){     //  si el produto es gravado
		if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo 
	
		$mergra=$importe;  
	     $totmergra= $totmergra+$mergra; 
		
		} else {     // si es un servicio
		
		$sergra=$importe; 
	    $totsergra= $totsergra+$sergra; 
	
		
		}    // cierra tipo de produto 
	
		} else {    // si el producto es exento
		
		if  ($cdgtippro == 1 ) {   // si el producto es tipo servicio 
		
     	$merexe=$importe;  
        $totmerexe= $totmerexe+$merexe; 
		
		} else {     // si es un servicio
		
		$serexe=$importe; 
	    $totserexe= $totserexe+$serexe; 
		
		}    // cierra tipo de produto tipo articulo
		} 
	   
 		$des_articulo= ( $cosart * $desart)/100;
		$cosart= $cosart - $des_articulo;
		
			
	  	///////////////////////////////////////////////////     EXONERACIONES       ////////////////////////////////////////////
		
	    if ($cliexento==2  && $cob_iv==1   &&  $chkexo ==  0  ){  //  compra es tipo exonerada y  producto es gravado  //  EXONERACION PARCIAL			

   

     $ivporc_exonerado = $ivporc - $porimpexo ;    // calcula diferencia de impuestos 

     if ( $ivporc_exonerado > 0  ){           // si el impuesto del producto es mayor a la exoneracion de cliente  /////


    //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$porimpexo/100;       // impuesto exonerado en monto 
	$moncondesexo = $importe*$porimpexo/100;       // impuesto exonerado en monto
	$porcomexo= $porimpexo;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3




	  	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
		
		
	//	$dcto_porcentual = $dcto/100 + 1 ;
		
		
		$merexo = ( $moncondesexo / $ivporc )* 100  ;   //148 
	
	    $totmerexo= $totmerexo+$merexo; 
		
		$totmergra= $totmergra-$merexo; 
		
		} else {     // si es un servicio
		
	//	$dcto_porcentual = $dcto/100 + 1 ;
		
		
		$serexo = ( $moncondesexo / $ivporc )* 100 ;   //148 
		
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  




  } else {           // si el impuesto del producto es menor a  la exoneracion  del cliente ///////////
  
  
      //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$ivporc/100;       // impuesto exonerado en monto 
	$porcomexo= $ivporc;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3


	  	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
	
		$merexo=$importe;  
	    $totmerexo= $totmerexo+$merexo; 
		$totmergra= $totmergra-$merexo; 
		} else {     // si es un servicio
		
		$serexo=$importe; 
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  
		
	  
}



	  }else {
 
     	    $monimpexo="";
	        $porcomexo= "";
			$cdgtipexo="";
			$numdocexo="";
			$nominstexo="";
	  
	  }


		///////////////////////////////////////////////////     EXONERACIONES      ///////////////////////////////////////////////////
		
	


		$sel_insertar="INSERT INTO factulinea (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,cdgtipart,unimed , cdgimp , tarimp, subtotal , montotlin, natdes, monimpexo, porcomexo, cdgtipexo, numdocexo, nominstexo , cdgtar , fecemiexo , cdgcabys, cdgact) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi2','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin','$cdgtipart','$unimed' ,'$cdgimp' ,'$tarimp','$subtotal' ,'$montotlin'  ,'$natdes'  ,'$monimpexo' ,'$porcomexo'  ,'$cdgtipexo'  ,'$numdocexo'  ,'$nominstexo' ,'$cdgtar' , '$fecemiexo', '$cdgcabys', '$cdgact')";
		$mysqli->query($sel_insertar);			
		

	}
	
	
	  $totexonerado = $totserexo + $totmerexo; 
	  $totexento    = $totserexe + $totmerexe; 
	  $totgravado   = $totsergra + $totmergra;
	  $totventa     = $totgravado + $totexento + $totexonerado;    
	  $totdescu     = $basedescuento ;
	  $totvennet    = $totventa  -  $totdescu;
	  $totcompro    = $totvennet + $baseimpuestos ;
	  
	  
	  	///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////		  
	  
	  $totexonerado = round(  $totexonerado ,2); 
	  $totexento    = round(  $totexento,2); 
	  $totgravado   = round(  $totgravado,2); 
	  $totventa     = round(  $totventa,2);   
	  $totdescu     = round(  $totdescu ,2); 
	  $totvennet    = round(  $totvennet,2); 
	  $totcompro    = round(  $totcompro ,2); 
	  
	
	  $totmergra    = round(  $totmergra  ,2); 
	  $totsergra    = round(  $totsergra  ,2); 
	  $totmerexe    = round(  $totmerexe  ,2); 
	  $totserexe    = round(  $totserexe  ,2); 
	  $totserexo    = round(  $totserexo ,2); 
      $totmerexo    = round(  $totmerexo ,2); 
	  
	  
	  ///////////////////////////////////////////////////////////////////////////   cambio especial para carniceria ///////////////////////////////////////////////////////////////////////		
	  
	  
	 	  if ( $totgravado > 0 ){
	  $cdgimp="01" ; //   tipo impuesto de ventas
	  $tarimp=$tarimpvta;
	  $monimp=$baseimpuestos;
	  
	  }else {
	  
	  $cdgimp="01";  //   tipo impuesto de ventas
	  $tarimp="0";
	  $monimp="0";
	  
	  }
	  
	  
	
	$consulta2 = "DELETE FROM factulineatmp  WHERE codfactura ='$codfacturatmp'";
	$mysqli->query($consulta2);	


	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);
	$vuelto2=$pagacon2 - $preciototal;
	
									  // AGREGA , totserexo='$totserexo'  , totmerexo='$totmerexo' ,totexonerado='$totexonerado' version 4.3
									  
	$sel_act="UPDATE facturas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' , vuelto='$vuelto2' , totmergra='$totmergra', totmerexe='$totmerexe', totsergra='$totsergra', totserexe='$totserexe', totgravado='$totgravado' , totexento='$totexento' , totventa='$totventa' , totdescu='$totdescu' , totvennet='$totvennet' , cdgimp='$cdgimp', tarimp='$tarimp', monimp='$monimp',  totcompro='$totcompro' , totserexo='$totserexo'  , totmerexo='$totmerexo' ,totexonerado='$totexonerado' ,porimpexo='$porimpexo'  WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
	////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////



	$sel_lineas = "SELECT codigo,cantidad FROM factulinea WHERE codfactura='$codfactura'";
    if ($result = $mysqli->query($sel_lineas)) 
	
    while ($fila = $result->fetch_assoc()) {
		
        $codigo = $fila["codigo"];
		$cantidad = $fila["cantidad"];                                             // se modifico en la version 4.3  

		$query_unidades = "SELECT EXIACT FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado2 = $mysqli->query($query_unidades);
		$row = $resultado2->fetch_array();
	    $existencia= $row["EXIACT"];
		
		$exiact = $existencia -  $cantidad;                                               // se modifico en la version 4.3  

  
		$sel_articulos="UPDATE web_1001 SET   exiact= '$exiact' WHERE cdgbar='$codigo' and tipart != 2 ";
		$mysqli->query($sel_articulos);
	
	
		$sel_articulos2="UPDATE factulinea SET exiant = '$existencia'  WHERE codigo='$codigo' and  codfactura='$codfactura' ";
		$mysqli->query($sel_articulos2);

                                                                                         // se modifico en la version 4.3  

	}
      
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	
	}
   }
   


///////////////////////////  borra la factura de contado de la base de datos a cobrar //////////////////////////////////////////////////////////
 if ($codfacturacontado <> "" ){

	 $elimina = "DELETE FROM facturas_contado  WHERE codfactura ='$codfactura_contado'";
     $mysqli->query( $elimina);


	 $elimina2 = "DELETE FROM factulinea_contado  WHERE codfactura ='$codfactura_contado'";
     $mysqli->query( $elimina2);
 }
 
 
  if ($codfacturatra <> "" ){

	$trabajos="UPDATE trabajos SET  estpago= '1' WHERE codfactura='$codfacturatra' ";
	$mysqli->query($trabajos);

 }


////////////////////////////////////////imprimir facturas/////////////////////////////////////////////
if ($cdgtipven==1){

if ($dolares > 0)  {

//$pagacon2     =  $pagacon2 / $tipcamdol;
//$preciototal  =  $preciototal  / $tipcamdol;
//$vuelto2      =  $vuelto2 / $tipcamdol;
//$total2       =  $total2 / $tipcamdol;
//
//$pagacon2 = "$  ".number_format($pagacon2,2,".",",");
//$preciototal = "$  ".number_format($preciototal,2,".",",");
//$vuelto2 = "$  ".number_format($vuelto2,2,".",",");
//$total2 = "$  ".number_format($total2,2,".",",");


	$pagacon2 = number_format($pagacon2,2,".",",");
    $preciototal = number_format($preciototal,2,".",",");
    $vuelto2 = number_format($vuelto2,2,".",",");
	$total2 = number_format($total2,2,".",",");
	


 } else {
	

	$pagacon2 = number_format($pagacon2,2,".",",");
    $preciototal = number_format($preciototal,2,".",",");
    $vuelto2 = number_format($vuelto2,2,".",",");
	$total2 = number_format($total2,2,".",",");
	
 }	


?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="nueva_proforma_super.php";
		}
		

				function enviar_correo() 
			{
	//				window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
	
			}
		
function imprimir(codfactura,clitributa) {


	
	if (clitributa != 0 ){

	miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");
	
//	window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
	}
//	miPopup = window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura, "frame_datos2","width=100,height=10,scrollbars=yes");
	
	   window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
	//    window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura);
		//window.open("../FE/facturaElectronica/fe.php?f="+codfactura);
	//	window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
		//window.open("../FE/facturaEletronica/subir_xml_web.php?codfactura="+codfactura);
	//	window.open("../FE/tiqueteElectronico/subir_xml_web.php?codfactura="+codfactura);
				
		}
		
	function abrir_cajon(codfactura,clitributa) {
	
	if (clitributa != 0){
		miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");	
	}
					
	window.open("../fpdf/abrir_cajon.php");
	
	}
		
		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		function inicio(){
	   		
    document.getElementById("total2").focus();
}		
	

		</script>
<?php 
		



if ($impdir == "S")  {

echo "<script>";
echo "imprimir($codfactura,$clitributa);";
echo "</script>";


  }	 else {
  
	


echo "<script>";
echo "abrir_cajon($codfactura,$clitributa);";
echo "</script>";	
	
  
    }	
	


?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68" class="fuente8">TOTAL </td>
			        <td width="480" ><input id="total2"  readonly="readonly"  class="fuente_totales3" name="total2"  value="<?php echo $total2 ?>"   style='text-align:right;'  type="text" /></td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">PAGADO</td>
			        <td><input id="pagacon"  readonly="readonly"  class="fuente_totales3" name="pagacon"  value="<?php echo $pagacon2 ?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">CAMBIO</td>
			        <td><input id="vuelto"  readonly="readonly"  class="fuente_totales3" name="vuelto"   value="<?php echo $vuelto2?>"    style='text-align:right;'    type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			 </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">				  <img src="../img/punto_venta.fw.png" alt="IMPRESION" width="80" height="70" border="0" title="Imprimir" onClick="imprimir(<?php echo $codfactura  ?> , <?php echo $clitributa ?>)" onMouseOver="style.cursor=cursor"></p>
					<p><span class="fuente_gracias">MUCHAS GRACIAS POR SU PREFERENCIA </span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
<?php 
 } else {
 	$total2 = number_format($total2,2,".",",");
 
 ?>  
 	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="nueva_proforma_super.php";
		}


   
   
   	setTimeout ("enviar_correo()",10000);
	
	
			function enviar_correo() 
			{
		//			window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
	
			}
		
	function imprimir(codfactura,clitributa) {
	
	
	if (clitributa != 0 ){

	miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");
	
//	window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
	}
//	miPopup = window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura, "frame_datos2","width=100,height=10,scrollbars=yes");
	
	    window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
	//    window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura);
		//window.open("../FE/facturaElectronica/fe.php?f="+codfactura);
	//	window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
		//window.open("../FE/facturaEletronica/subir_xml_web.php?codfactura="+codfactura);
	//	window.open("../FE/tiqueteElectronico/subir_xml_web.php?codfactura="+codfactura);
				
		}
				  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
	  
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		function inicio(){
	   		
    document.getElementById("total").focus();
}	
		
		</script>
<?php 
		
	
echo "<script>";
echo "imprimir($codfactura,$clitributa);";
echo "</script>";	


?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68" class="fuente8">TOTAL </td>
			        <td width="480" ><input id="total"  readonly="readonly"  class="fuente_totales3" name="total"  value="<?php echo $total2?>"  style='text-align:right;'  type="text" /></td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">ANTERIOR</td>
			        <td><input id="anterior"  readonly="readonly"  class="fuente_totales3" name="anterior"  value="<?php echo number_format($saldo_anterior,2,".",",")?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">ACTUAL</td>
			        <td><input id="actual"  readonly="readonly"  class="fuente_totales3" name="actual"   value="<?php echo number_format($salact,2,".",",")?>"    style='text-align:right;'    type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
					  
				  </p>
					<p><span class="fuente_gracias">MUCHAS GRACIAS POR SU PREFERENCIA </span></p>
				</div>
	  <iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
	  </iframe>
	 
	  <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
	  </iframe>
                        
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
 
 
<?php  
   } 
  
   } else {    // si la factura viene vacia 
    // no hace nada 
	
	echo "Favor verifique factura no se realizo con exito, intente nuevamente " ;
  }  

		


 